Bug 1286826 - hiera 1.3.4 removed from repo beaks packstack install of kilo on CentOS 7
hiera 1.3.4 removed from repo beaks packstack install of kilo on CentOS 7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: hiera (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Traylen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 15:32 EST by Tom Buskey
Modified: 2016-01-14 08:27 EST (History)
6 users (show)

See Also:
Fixed In Version: hiera-1.3.4-5.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 08:27:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Buskey 2015-11-30 15:32:20 EST
Description of problem:
hiera-3.0.1-1.el7.noarch is the only version in the repo.
When packstack from RDO is used to install OpenStack Kilo, it fails with:
Could not find data item CONFIG_USE_SUBNETS in any Hiera data file and no default supplied at /var/tmp/packstack/c19451b2776745269f80d204ae02fe62/manifests/10.2.24.20_prescript.pp:2
 
Version-Release number of selected component (if applicable):
3.0.1

How reproducible:

yum install epel-release on CentOS 7.1
yum -y install http://repos.fedorapeople.org/repos/openstack/openstack-kilo/rdo-release-kilo-1.noarch.rpm
yum install openstack-packstack
packstack


Steps to Reproduce:
1.yum install epel-release ; yum -y install http://repos.fedorapeople.org/repos/openstack/openstack-kilo/rdo-release-kilo-1.noarch.rpm
2. yum -y install openstack-packstack
3. packstack

Actual results:


Expected results:


Additional info:
Comment 1 Steve Traylen 2015-12-18 04:30:53 EST
Looks like this package should never have been released. 

We should still be on hiera 1.3 with puppet 3 as in 7.

Steve.
Comment 2 Steve Traylen 2015-12-18 04:40:16 EST
Other problems e.g. test.pp

$abc = hiera('def','ghi')


puppet apply --strict_variables test.pp

Error: Undefined variable "::trusted"; Undefined variable "trusted" at /afs/cern.ch/user/s/straylen/test.pp:4 on node aiadm210.cern.ch
Error: Undefined variable "::trusted"; Undefined variable "trusted" at /afs/cern.ch/user/s/straylen/test.pp:4 on node aiadm210.cern.ch
Comment 3 Fedora Update System 2015-12-18 04:55:14 EST
hiera-1.3.4-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d072146b04
Comment 4 Fedora Update System 2015-12-19 20:51:20 EST
hiera-1.3.4-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update hiera'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d072146b04
Comment 5 Fedora Update System 2016-01-14 08:27:48 EST
hiera-1.3.4-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.